unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  MBMRU, Menus, ComCtrls, StdCtrls;

type
  TfmMain = class(TForm)
    MbMRUList1: TMbMRUList;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    PrintSetup1: TMenuItem;
    Print1: TMenuItem;
    N2: TMenuItem;
    SaveAs1: TMenuItem;
    Save1: TMenuItem;
    Open1: TMenuItem;
    New1: TMenuItem;
    OpenDialog1: TOpenDialog;
    Memo1: TMemo;
    StatusBar1: TStatusBar;
    Reopen1: TMenuItem;
    MRUOptions1: TMenuItem;
    MRUMenuItem1: TMenuItem;
    ReopenMenuItem1: TMenuItem;
    FileMenuItem1: TMenuItem;
    nil1: TMenuItem;
    MRUDisplay1: TMenuItem;
    FullPath1: TMenuItem;
    FileOnly1: TMenuItem;
    AbbPath1: TMenuItem;
    MRUOrientation1: TMenuItem;
    AddtoTop1: TMenuItem;
    AddToBottom1: TMenuItem;
    SaveLocation1: TMenuItem;
    Registry1: TMenuItem;
    IniFile1: TMenuItem;
    User1: TMenuItem;
    MRUMethods1: TMenuItem;
    MRUClear1: TMenuItem;
    MRUExchange121: TMenuItem;
    procedure Exit1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure MbMRUList1MRUClick(Sender: TObject; MenuItem: TMenuItem;
      const FileName: String; MRUIndex: Integer; var CanDelete: Boolean);
    procedure FormCreate(Sender: TObject);
    procedure MRUClear1Click(Sender: TObject);
    procedure ReopenMenuItem1Click(Sender: TObject);
    procedure FileMenuItem1Click(Sender: TObject);
    procedure nil1Click(Sender: TObject);
    procedure FullPath1Click(Sender: TObject);
    procedure FileOnly1Click(Sender: TObject);
    procedure AbbPath1Click(Sender: TObject);
    procedure AddtoTop1Click(Sender: TObject);
    procedure AddToBottom1Click(Sender: TObject);
    procedure Registry1Click(Sender: TObject);
    procedure IniFile1Click(Sender: TObject);
    procedure User1Click(Sender: TObject);
    procedure MbMRUList1UserLoad(Sender: TObject);
    procedure MbMRUList1UserSave(Sender: TObject);
    procedure MRUMethods1Click(Sender: TObject);
    procedure MRUExchange121Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
   procedure LoadFile(Const FileName: String);
  end;

var
  fmMain: TfmMain;

implementation

{$R *.DFM}

procedure TfmMain.LoadFile(Const FileName: String);
begin
 MbMRUList1.MRUAdd(FileName);
 StatusBar1.SimpleText:=FileName;
 Memo1.Lines.LoadFromFile(FileName);
end;

procedure TfmMain.Exit1Click(Sender: TObject);
begin
 Close;
end;

procedure TfmMain.Open1Click(Sender: TObject);
begin
 if OpenDialog1.Execute then
  LoadFile(OpenDialog1.FileName);
end;

procedure TfmMain.MbMRUList1MRUClick(Sender: TObject; MenuItem: TMenuItem;
  const FileName: String; MRUIndex: Integer; var CanDelete: Boolean);
begin
 LoadFile(FileName);
end;

procedure TfmMain.FormCreate(Sender: TObject);
begin
 Self.Icon:=Application.Icon;
end;

procedure TfmMain.MRUClear1Click(Sender: TObject);
begin
 MbMRUList1.MRUClear;
end;

procedure TfmMain.ReopenMenuItem1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.MRUMenuItem:=Reopen1;
end;

procedure TfmMain.FileMenuItem1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.MRUMenuItem:=File1;
end;

procedure TfmMain.nil1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.MRUMenuItem:=nil;
end;

procedure TfmMain.FullPath1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.MRUDisplay:=mdFullPath;
end;

procedure TfmMain.FileOnly1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.MRUDisplay:=mdFileOnly;
end;

procedure TfmMain.AbbPath1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.MRUDisplay:=mdAbbPath;
end;

procedure TfmMain.AddtoTop1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.MRUOrientation:=moTop;
end;

procedure TfmMain.AddToBottom1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.MRUOrientation:=moBottom;
end;

procedure TfmMain.Registry1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.SaveLocation:=slRegistry;
end;

procedure TfmMain.IniFile1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.SaveLocation:=slInifile;
end;

procedure TfmMain.User1Click(Sender: TObject);
begin
 (Sender as TMenuItem).Checked:=true;
 MbMRUList1.SaveLocation:=slUser;
end;

procedure TfmMain.MbMRUList1UserLoad(Sender: TObject);
begin
 MessageDlg('User, please Load MRUList', mtInformation, [mbOk], 0);
end;

procedure TfmMain.MbMRUList1UserSave(Sender: TObject);
begin
 MessageDlg('User, please Save MRUList', mtInformation, [mbOk], 0);
end;

procedure TfmMain.MRUMethods1Click(Sender: TObject);
begin
 MRUClear1.Enabled:=MbMRUList1.MRUCount > 0;
 MRUExchange121.Enabled:=MbMRUList1.MRUCount > 2;
end;

procedure TfmMain.MRUExchange121Click(Sender: TObject);
begin
 MbMRUList1.MRUExchange(1,2);
end;

end.
